> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Investor Warrant Detail

> Returns one bare warrant row by ID for a SUB_INVESTOR.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-investor-warrant-detail
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-investor-warrant-detail:
    get:
      operationId: getInvestorWarrantDetail
      summary: Get Investor Warrant Detail
      description: |-
        Returns one bare warrant row by ID for a SUB_INVESTOR.

        Not available to API keys.
      parameters:
        - name: warrantID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvestorWarrantDetailResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvestorWarrantDetailResponse:
      oneOf:
        - $ref: '#/components/schemas/GetInvestorWarrantDetailResponse1'
        - type: 'null'
    GetInvestorWarrantDetailResponse1:
      type: object
      properties:
        warrantID:
          type: string
        roleInOrgID:
          type: string
        warrantName:
          type: string
        investorEntityID:
          type:
            - string
            - 'null'
        warrantDescription:
          type:
            - string
            - 'null'
        warrantStatus:
          type: string
          enum:
            - DRAFT
            - AGREEMENT_SENT
            - AGREEMENT_SIGNED
            - EXERCISE_NOTICE_SENT
            - EXERCISE_NOTICE_SIGNED
            - EXERCISE_ELIGIBLE
            - PENDING_PAYMENT_VERIFICATION
            - PAID
            - IN_LOCKUP
            - SETTLED
            - PENDING_SETTLEMENT
        warrantConfigurationID:
          type: string
        firmName:
          type:
            - string
            - 'null'
        amount:
          type: number
        price:
          type:
            - number
            - 'null'
        totalValue:
          type:
            - number
            - 'null'
        issueDate:
          type: string
        expirationDate:
          type:
            - string
            - 'null'
        lockupPeriodMonths:
          type:
            - integer
            - 'null'
        lockupFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        unlockDateOverride:
          type:
            - string
            - 'null'
        agreementSignedAt:
          type:
            - string
            - 'null'
        exerciseNoticeTermsHash:
          type:
            - string
            - 'null'
        exerciseNoticeEnvelopeID:
          type:
            - string
            - 'null'
        exerciseNoticeEnvelopeCompletedAt:
          type:
            - string
            - 'null'
        exerciseNoticeSignedAt:
          type:
            - string
            - 'null'
        paidAt:
          type:
            - string
            - 'null'
        settledAt:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
        isSigned:
          type:
            - boolean
            - 'null'
        isPaid:
          type:
            - boolean
            - 'null'
        isExercised:
          type:
            - boolean
            - 'null'
        isUnderLockup:
          type:
            - boolean
            - 'null'
        isOffPlatform:
          type:
            - boolean
            - 'null'
        isTerminated:
          type:
            - boolean
            - 'null'
        warrantLabel:
          type:
            - string
            - 'null'
        documents:
          type: array
          items:
            type: object
            properties:
              supersededAt:
                type:
                  - string
                  - 'null'
              documentID:
                type: string
              roleInOrgID:
                type: string
              investorEntityID:
                type:
                  - string
                  - 'null'
              documentName:
                type: string
              documentDescription:
                type:
                  - string
                  - 'null'
              documentType:
                type: string
                enum:
                  - WARRANT_AGREEMENT
                  - EXERCISE_NOTICE
                  - PAYMENT_PROOF
                  - GRANT_AGREEMENT
                  - EIGHTY_THREE_B_ELECTION
                  - EIGHTY_THREE_B_ELECTION_RECIEPT
                  - RECIEPTS
                  - SETTLEMENT_STATEMENT
                  - SECTION_431_ELECTION_EMPLOYEE
                  - SECTION_431_ELECTION_EMPLOYER
                  - OTHER
              fileID:
                type: string
              signedAt:
                type:
                  - string
                  - 'null'
              archivedAt:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              deletedAt:
                type:
                  - string
                  - 'null'
              grantID:
                type:
                  - string
                  - 'null'
              warrantID:
                type:
                  - string
                  - 'null'
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              visibleToRole:
                type: boolean
              visibleToClientAdmin:
                type: boolean
            required:
              - supersededAt
              - documentID
              - roleInOrgID
              - investorEntityID
              - documentName
              - documentDescription
              - documentType
              - fileID
              - signedAt
              - archivedAt
              - createdAt
              - updatedAt
              - deletedAt
              - grantID
              - warrantID
              - legacyMigratedAt
              - legacyModelID
              - visibleToRole
              - visibleToClientAdmin
        paymentTransfers:
          type: array
          items:
            type: object
            properties:
              paymentTransferID:
                type: string
              roleInOrgID:
                type: string
              investorEntityID:
                type:
                  - string
                  - 'null'
              warrantID:
                type: string
              paymentMethod:
                type: string
                enum:
                  - WIRE_TRANSFER
                  - WALLET
              amount:
                type: number
              name:
                type: string
              transactionID:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
            required:
              - paymentTransferID
              - roleInOrgID
              - investorEntityID
              - warrantID
              - paymentMethod
              - amount
              - name
              - transactionID
              - createdAt
              - updatedAt
        tags:
          type: array
          items:
            type: object
            properties:
              warrantTagID:
                type: string
              name:
                type: string
              type:
                type: string
                enum:
                  - geography
                  - cost_centre
                  - custom
              isActive:
                type: boolean
              createdAt:
                type: string
              updatedAt:
                type: string
              roleInOrgID:
                type: string
              warrantID:
                type: string
            required:
              - warrantTagID
              - name
              - type
              - isActive
              - createdAt
              - updatedAt
              - roleInOrgID
              - warrantID
        roleInOrg:
          type: object
          properties:
            roleInOrgID:
              type: string
            orgID:
              type: string
            role:
              type: string
            person:
              type: object
              properties:
                personID:
                  type: string
                givenName:
                  type: string
                familyName:
                  type: string
                fullName:
                  type: string
              required:
                - personID
                - givenName
                - familyName
                - fullName
          required:
            - roleInOrgID
            - orgID
            - role
            - person
      required:
        - warrantID
        - roleInOrgID
        - warrantName
        - investorEntityID
        - warrantDescription
        - warrantStatus
        - warrantConfigurationID
        - firmName
        - amount
        - price
        - totalValue
        - issueDate
        - expirationDate
        - lockupPeriodMonths
        - lockupFrequencyType
        - unlockDateOverride
        - agreementSignedAt
        - exerciseNoticeTermsHash
        - exerciseNoticeEnvelopeID
        - exerciseNoticeEnvelopeCompletedAt
        - exerciseNoticeSignedAt
        - paidAt
        - settledAt
        - createdAt
        - updatedAt
        - legacyMigratedAt
        - legacyModelID
        - isSigned
        - isPaid
        - isExercised
        - isUnderLockup
        - isOffPlatform
        - isTerminated
        - warrantLabel
        - documents
        - paymentTransfers
        - tags
        - roleInOrg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
